## com.google.appengine.api.log
Interface LogService

    public interface LogService

`LogService` allows callers to request the logs (and associated information) using user-supplied filters. Logs are returned in a `LogQueryResult` that can be iterated over to provide a series of `RequestLogs`, which contain request-level logs as well as application-level logs (described by `AppLogLine` objects).

Nested Class Summary
`static class` `LogService.LogLevel`

Field Summary
`static int` `DEFAULT_ITEMS_PER_FETCH` The number of items that a single underlying fetch RPC call will retrieve, if the user does not specify a batchSize.

Method Summary
`java.lang.Iterable<RequestLogs>` `fetch(LogQuery query)` Retrieve logs for the current application with the constraints provided by the user as parameters to this function.

Field Detail

### DEFAULT_ITEMS_PER_FETCH

    static final int DEFAULT_ITEMS_PER_FETCH

  The number of items that a single underlying fetch RPC call will retrieve, if the user does not specify a batchSize.

  See Also:
    Constant Field Values

Method Detail

### fetch

    java.lang.Iterable<RequestLogs> fetch(LogQuery query)

  Retrieve logs for the current application with the constraints provided by the user as parameters to this function. Acts synchronously.

  Parameters:
    `query` - A LogQuery object that contains the various query parameters that should be used in the LogReadRequest.
  Returns:
    An Iterable that contains a set of logs matching the requested filters.